petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMNetworkGetNumSubNetworks

Gets the the number of subnetworks

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumSubNetworks(DM dm,PetscInt *nsubnet,PetscInt *Nsubnet)

Not collective

### Input Parameters

| dm | - the dm object

### Output Parameters

| nsubnet | - local number of subnetworks
| Nsubnet | - global number of subnetworks

### See Also

DMNetworkCreate(), DMNetworkSetNumSubNetworks()

### Level

beginner

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages